Subject: RE: [SIP] confusion in url comparison

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 28 Feb 2001 10:06:55 -0500

> -----Original Message-----
> From: Gethin Liddell [mailto:[email-masked]]
> Sent: Monday, February 26, 2001 10:36 AM
> To: Juha Heinanen
> Cc: [email-masked]
> Subject: Re: [SIP] confusion in url comparison
> 
> 
> 
> I believe the confusion is over the last line of the paragraph: 
> 
> "Components not found in both URLs being compared are ignored."
> 
> What this is supposed to mean (I think) is that parameters 
> without default 
> values such as maddr-param or *future-parameters* should be 
> ignored if they 
> only exist in one sip url:
> 
> e.g. the following are equivalent:
> 
> sip:[email-masked];transport=UDP
> sip:[email-masked]
> sip:[email-masked];maddr=sip.mcast.net;foo=bar
> 
> but not these:
> 
> sip:[email-masked];transport=TCP
> sip:[email-masked]
> 
> I do however think that this should be re-fined for 
> parameters that are not 
> known about. for example it is impossible for a server to make a 
> correct decision on the equality of two unknown parameters

I think the most correct statement is that "URL parameters that have no
default value are ignored for purposes of comparison if they are not present
in both URLs". This covers unknown parameters as well as a few of the known
ones.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.